Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037239
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementmajoralways2017-11-07 11:522018-02-22 18:18
ReporterngarciaView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityurgentResolutionfixedFixed in Version3.0PR18Q2
StatusclosedFix in branchFixed in SCM revision388c18db9da5
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0037239: Negative quantity is invoiced if Credit Memo is used for invoicing Return From Customer and Return Material Receipt

DescriptionNegative quantity is invoiced if Credit Memo is used for invoicing Return From Customer and Return Material Receipt
Steps To ReproduceAs group admin role:
   Go to Document Type window, select 'RFC Order' document type and set Document Type for Invoice = 'AR Credit Memo'
   Set Tarifa de ventas as Price Includes Taxes

   Create a sales order, shipment and sales invoice with that price list
   Create a Return From Customer and Return Material Receipt
   Go to Return From Customer and launch Create Credit process

   Check the Sales Invoice (Credit Memo) has been created with negative lines and total amount and the payment plan amount is positive. As it is a return with a credit memo, it should be the other way around: quantities and total amounts in positive and payment plan in negative

   Reactivate the Sales Invoice
   Change the quantity to positive. Check the following warning is shown:
      "Invoiced Quantity should not be higher than Delivered Quantity when Invoice Terms are After Delivery"
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0033500 closedAtulOpenbravo Wrong payment schedule details when return to vendor document is invoiced using credit a memo invoice 

-  Notes
(0100533)
AtulOpenbravo (developer)
2017-11-15 17:15
edited on: 2017-11-29 22:33

Test Plan

- Login as International Group Admin role:
- Go to Document Type window, select 'RFC Order' document type and try to set Document Type for Invoice as 'AR Credit Memo'
- Realize that AR Credit Memo is not available in the list.
- Set Return flag = No and realize that AR Credit Memo document type appears in the Document Type For Invoice list.

- Navigate to Sales/Purchase invoice.
- Select any business partner.
- Realize that Create Lines From button is displayed.
- Select document type as Credit Memo (AR/AP).
- Realize that Create Lines From button is not displayed.

(0100888)
dmiguelez (developer)
2017-12-01 12:03

Credit Memo Document Type should not be used to generate Invoices from other Documents, only to create new Invoices.

The fix for this Issue is to:
  * Not allow to set Credit Memo Document Type in Document Type Window in the Invoice field
  * Not show Create Lines From button for Invoices that are credit memos
(0101559)
hgbot (developer)
2018-01-04 16:26

Repository: erp/devel/pi
Changeset: 388c18db9da5a9c113bf0a2564ec6fb8570a28aa
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Thu Nov 30 01:57:38 2017 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/388c18db9da5a9c113bf0a2564ec6fb8570a28aa [^]

Fixes Issue 37239:Negative quantity is invoiced if Credit Memo is used for
invoicing Return From Customer and Return Material Receipt

** Return document type cannot be configured with Credit Memo as document
type for invoice.
** Create Line From button not shown in Sales/Purchase Invoice when Credit
Memo document type is used.

---
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_FIELD.xml
M src-db/database/sourcedata/AD_VAL_RULE.xml
---
(0101560)
hgbot (developer)
2018-01-04 16:26

Repository: erp/devel/pi
Changeset: d22996575a61add917d5c456f1ff09e09dc27b15
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Fri Dec 01 11:59:57 2017 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/d22996575a61add917d5c456f1ff09e09dc27b15 [^]

Related to Issue 37239. Code Review changes:

* Display logic of fields changed to filter only documents that are set as
  isReversal = Y
* Created Auxiliary inputs for display logics
* Changed Validation Rule. ARC and APC document types should not be used
  to generate invoices from other processes regardless of the return flag
  of the document

---
M src-db/database/sourcedata/AD_AUXILIARINPUT.xml
M src-db/database/sourcedata/AD_FIELD.xml
M src-db/database/sourcedata/AD_VAL_RULE.xml
---
(0101625)
hgbot (developer)
2018-01-08 17:58

Repository: erp/devel/pi
Changeset: 27e96e83eded936143d3c27000b7a72318e554aa
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Mon Jan 08 17:58:39 2018 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/27e96e83eded936143d3c27000b7a72318e554aa [^]

Related to Issue 37239. Updated documentation of Reversed Invoices
in Sales Invoice and Purchase Invoice window

---
M src-db/database/sourcedata/AD_TAB.xml
---
(0101641)
dmiguelez (developer)
2018-01-09 16:15

Code Review + Testing + Updated Documentation OK
(0102638)
hudsonbot (developer)
2018-02-22 18:18

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/980a6ad5bbf5 [^]
Maturity status: Test
(0102639)
hudsonbot (developer)
2018-02-22 18:18

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/980a6ad5bbf5 [^]
Maturity status: Test
(0102649)
hudsonbot (developer)
2018-02-22 18:18

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/980a6ad5bbf5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-11-07 11:52 ngarcia New Issue
2017-11-07 11:52 ngarcia Assigned To => Triage Finance
2017-11-07 11:52 ngarcia Modules => Core
2017-11-07 11:52 ngarcia Triggers an Emergency Pack => No
2017-11-07 11:53 ngarcia Relationship added related to 0033500
2017-11-07 11:54 ngarcia Issue Monitored: networkb
2017-11-08 08:45 dmiguelez Assigned To Triage Finance => AtulOpenbravo
2017-11-09 04:49 AtulOpenbravo Status new => scheduled
2017-11-15 17:15 AtulOpenbravo Note Added: 0100533
2017-11-16 18:32 ngarcia Description Updated View Revisions
2017-11-16 18:32 ngarcia Steps to Reproduce Updated View Revisions
2017-11-29 22:33 AtulOpenbravo Note Edited: 0100533 View Revisions
2017-12-01 12:03 dmiguelez Note Added: 0100888
2018-01-04 16:26 hgbot Checkin
2018-01-04 16:26 hgbot Note Added: 0101559
2018-01-04 16:26 hgbot Status scheduled => resolved
2018-01-04 16:26 hgbot Resolution open => fixed
2018-01-04 16:26 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/388c18db9da5a9c113bf0a2564ec6fb8570a28aa [^]
2018-01-04 16:26 hgbot Checkin
2018-01-04 16:26 hgbot Note Added: 0101560
2018-01-08 17:58 hgbot Checkin
2018-01-08 17:58 hgbot Note Added: 0101625
2018-01-09 16:15 dmiguelez Review Assigned To => dmiguelez
2018-01-09 16:15 dmiguelez Note Added: 0101641
2018-01-09 16:15 dmiguelez Status resolved => closed
2018-01-09 16:15 dmiguelez Fixed in Version => 3.0PR18Q2
2018-02-22 18:18 hudsonbot Checkin
2018-02-22 18:18 hudsonbot Note Added: 0102638
2018-02-22 18:18 hudsonbot Checkin
2018-02-22 18:18 hudsonbot Note Added: 0102639
2018-02-22 18:18 hudsonbot Checkin
2018-02-22 18:18 hudsonbot Note Added: 0102649


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker